Bug 71861 - [RFE] RHN should allow export of info
[RFE] RHN should allow export of info
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Satellite QA List
US=18343
: FutureFeature, Reopened
: 467250 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 17:31 EDT by Chris Pepper
Modified: 2011-07-07 14:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-07 14:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Pepper 2002-08-19 17:31:05 EDT
Description of Problem:
RHN gathers some very useful info, including RH version, disk, installed RPMs,
etc. It should provide a simple tool to export this information for one or all
entitled systems, preferably to tab-delimited text or XML.

Version-Release number of selected component (if applicable):


How Reproducible:
Always

Steps to Reproduce:
1. Visit the Details and Packages pages,
<https://rhn.redhat.com/network/system/system_package_list.pxt?sid=>
2. Scratch head.
3. Say, "How do I get this into Remedy's Action Request System" (or
asset-tracking system of choice).

Actual Results:
Can't find an Export link.

Expected Results:
Should have a nifty Export link.

Additional Information:
Comment 1 Fanny Augustin 2006-11-14 15:46:44 EST
Reassigning  bugs from gdk (old RHN engineering Manager) to tsanders (current
RHN engineering manager)
Comment 2 Dave Miller 2007-08-16 15:44:57 EDT
We would really love this as well.  My primary use for it would be mailing off
lists of machines that need kernel upgrades to the stakeholders who care about
said machines.  Right now I have to copy/paste out of the web page and do a
bunch of cleanup on the lists before I can mail it out.  Just being able to get
the tables that are displayed on the various web pages in a CSV format would be
great.
Comment 3 Mike McCune 2007-08-16 16:27:16 EDT
We are actually working on CSV export feature in our upcoming release of RHN
Satellite.  Moving this to our current release.
Comment 4 Dave Miller 2007-08-16 16:36:18 EDT
will that be in the hosted version also, or only in satellite? (or is that the
same thing?)
Comment 5 Mike McCune 2007-08-16 23:11:35 EDT
Dave,

Satellite only.
Comment 6 Dave Miller 2007-08-17 00:41:07 EDT
Ah, that won't help me then, we don't use satellite, just the hosted RHN plus a
few proxies.
Comment 7 Clifford Perry 2007-09-04 11:18:32 EDT
Hi - I will move this out of Satellite Engineering and leave for RHN Hosted
review. I do not think there is any short term plans for RHN Hosted to add this
capability. 

Cliff. 
Comment 8 Amy Owens 2008-10-16 10:52:16 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.
Comment 9 Chris Pepper 2009-01-04 23:50:11 EST
Please reopen. The inactivity is because we (or at least I) were waiting on the internal decision RH personnel were discussing, regarding whether it is Satellite only or not.

It should be a general RHN feature -- not Satellite only.
Comment 10 Amanda Carter 2009-03-26 17:24:15 EDT
*** Bug 467250 has been marked as a duplicate of this bug. ***
Comment 11 Nicky 2011-07-07 14:37:12 EDT
unfortunetly there are no short / long term plans for RHN Hosted to add this
capability.

closing bug as a wont fix.  If this is still a high priority issue please let us know, RHN will be concentrating on high level customer facing bugs and urgent issues as we are moving towards the new certificate based subscription management system (RHSM).

Note You need to log in before you can comment on or make changes to this bug.